{
  "log": {
    "loglevel": "warning"
  },
  "inbounds": [
    {
      "protocol": "socks",
      "listen": "0.0.0.0",
      "port": 1234,
      "settings": {
        "auth": "noauth",
        "udp": true,
        "ip": "127.0.0.1",
        "userLevel": 0
      }
    },
    {
      "listen": "0.0.0.0",
      "port": 1235,
      "protocol": "http",
      "tag": "http-no-auth",
      "settings": {
        "timeout": 300
      }
    },
    {
      "listen": "0.0.0.0",
      "port": 1236,
      "protocol": "http",
      "tag": "http-with-auth",
      "settings": {
        "accounts": [
          {
            "user": "zeaslity",
            "pass": "loveff.22"
          }
        ],
        "timeout": 300
      }
    }
  ],
  "outbounds": [
    {
      "protocol": "freedom"
    }
  ]
}